Subject: bug#50951: Fwd: bug#50951: 28.0.50; Urdu text is not displayed correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Oct 2021 18:09:59 +0300

> From: Rah Guzar <[email-masked]>
> Date: Sat, 2 Oct 2021 17:05:24 +0200
> 
>  If you set bidi-display-reordering to a nil value, does the display
>  become better or worse?
> 
> Setting it to nil completely garbles the text. This I what I see afterwards 
> reordering-nil.png

OK, that's what I expected.  It was a stab in the dark.

> By the way, the problem of size dependent misplacement happens with  another Urdu font
> Urdu_Emad_Nastaliq that doesn't rely on extensive composition which I tried. 

I'm afraid this is where I must stop trying to help investigating this
issue, as I'm long out of my depth in this area.  It sounds like some
tricky issue with the fonts, but maybe something else is at work here,
e.g., with Cairo display or something.  But I'm just guessing at this
point, sorry.